Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Copy_On_Write_Collection< COLLECTION, ITERATOR > Class Template Reference

A wrapper to implement reference counted collections. More...

`#include <RMCast_Copy_On_Write.h>`

Collaboration diagram for ACE_RMCast_Copy_On_Write_Collection< COLLECTION, ITERATOR >:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_Copy_On_Write_Collection (void)
| Constructor.
void | _incr_refcnt (void)
| Increment the reference count.
void | _decr_refcnt (void)
| Decrement the reference count.
## Public Attributes
COLLECTION | collection
| The actual collection.
## Private Attributes
ACE_UINT32 | refcount_
| The reference count.

## Detailed Description

### template<class COLLECTION, class ITERATOR>
class ACE_RMCast_Copy_On_Write_Collection< COLLECTION, ITERATOR >

A wrapper to implement reference counted collections.

## Constructor & Destructor Documentation

template<class COLLECTION, class ITERATOR>
ACE_INLINE ACE_RMCast_Copy_On_Write_Collection< COLLECTION, ITERATOR >::ACE_RMCast_Copy_On_Write_Collection | ( | void |  | ) |

| Constructor.

## Member Function Documentation

template<class COLLECTION, class ITERATOR>
void ACE_RMCast_Copy_On_Write_Collection< COLLECTION, ITERATOR >::_decr_refcnt | ( | void |  | ) |

| Decrement the reference count.

template<class COLLECTION, class ITERATOR>
void ACE_RMCast_Copy_On_Write_Collection< COLLECTION, ITERATOR >::_incr_refcnt | ( | void |  | ) |

| Increment the reference count.

## Member Data Documentation

template<class COLLECTION, class ITERATOR>
COLLECTION ACE_RMCast_Copy_On_Write_Collection< COLLECTION, ITERATOR >::collection

| The actual collection.

template<class COLLECTION, class ITERATOR>
ACE_UINT32 ACE_RMCast_Copy_On_Write_Collection< COLLECTION, ITERATOR >::refcount_`[private]`

| The reference count.

The documentation for this class was generated from the following files:

- RMCast_Copy_On_Write.h
- RMCast_Copy_On_Write.cpp
- RMCast_Copy_On_Write.i